Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008443opensim[REGION] OpenSim Corepublic2019-01-07 04:022019-01-09 07:05
ReporterLuisillo_Contepomi 
Assigned ToLuisillo_Contepomi 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionunable to reproduce 
PlatformPcOSWindowsOS VersionWin7-64
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008443: Region Frozen stops working silently (Yengine)
DescriptionAfter a time out in log console region stop avatar can not move to other regions or in the same region.
I try the same with Xengine by hours and nothing happend but with Yengine after some hour working fine... [WATCHDOG]: Timeout detected for thread "Heartbeat-(Continente)" and nothing work the avatar can not move and region can not stop without kill process.
Additional Information15:17:00 - [WATCHDOG]: Timeout detected for thread "Heartbeat-(Continente)". Thr
eadState=WaitSleepJoin. Last tick was 21216ms ago.

../...
Six minutes with everything frozen and then I order "quit" but nothin hapend is frozen again in
Removing thread InventoryWorkerThread0, ID 33 by one hour. I close the console killing opensim.exe.
.../...

Region (Continente) # quit
15:23:14 - [SHUTDOWN]: Closing all threads
15:23:14 - [SHUTDOWN]: Killing listener thread
15:23:14 - [SHUTDOWN]: Killing clients
15:23:14 - [SHUTDOWN]: Closing console and terminating
15:23:14 - [SCENE]: Closing down the single simulator: Continente
15:23:14 - [GRID SERVICE]: Deregistering region Continente (a5aa49f8-18ce-45dd-9
60a-34bd53bf6266) at 1000-1000
15:23:15 - [CLIENT]: Close has been called for Luisillo Contepomi attached to sc
ene Continente
15:23:15 - [JobEngine]: Stopping AsyncInUDP-283cb4c4-2084-43d2-9547-0bd02675b5cc

15:23:15 - [SCENE]: Removing root agent Luisillo Contepomi 283cb4c4-2084-43d2-95
47-0bd02675b5cc from Continente
15:23:15 - [CAPS]: Remove caps for agent 283cb4c4-2084-43d2-9547-0bd02675b5cc in
 region Continente
15:23:15 - POLLED FOR EQ MESSAGES BY 283cb4c4-2084-43d2-9547-0bd02675b5cc in Con
tinente
15:23:16 - [Scene]: The avatar has left the building
15:23:16 - [SCENE]: TriggerSceneShuttingDown
15:23:16 - [EVENT MANAGER]: TriggerSceneShuttingDown done
15:23:16 - [SCENE]: Persisting changed objects
15:24:12 - [SCENE]: Closing scene
15:24:12 - [SHUTDOWN]: Shutting down region Continente
15:24:12 - [DATASNAPSHOT]: Region Continente is being removed, removing from ind
exing
15:24:12 - [WATCHDOG]: Removing thread MapItemRequestThread (Continente), ID 21
15:24:12 - [GetAssetsModule]: Closing
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker0, ID 30
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker1, ID 31
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker2, ID 32
15:24:12 - [WebFetchInvDescModule]: Closing
15:24:12 - [WATCHDOG]: Removing thread InventoryWorkerThread0, ID 33
15:24:12 - [WATCHDOG]: Removing thread InventoryWorkerThread1, ID 34
15:24:12 - [LLUDPSERVER]: Shutting down the LLUDP server for Continente
15:24:12 - [UDPBASE]: Stopping outbound UDP loop
15:24:12 - [UDPBASE]: Stopping inbound UDP loop
15:24:12 - [JobEngine]: Stopping Outgoing Queue Refill Engine (Continente)
15:24:12 - [WATCHDOG]: Removing thread Incoming Packets (Continente), ID 36
15:24:12 - [WATCHDOG]: Removing thread Outgoing Packets (Continente), ID 37
15:24:12 - [WATCHDOG]: Removing thread MapBlockSendThread (Continente), ID 22


.../...
At 16.24h (A hour later) I stop opensim.exe with Task Manager killing process


TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0033727)
UbitUmarov (administrator)
2019-01-07 04:56

last block above is a repeated c&p right?
(0033728)
Luisillo_Contepomi (reporter)
2019-01-07 07:57

Yes is :

Region (Continente) # quit
15:23:14 - [SHUTDOWN]: Closing all threads
15:23:14 - [SHUTDOWN]: Killing listener thread
15:23:14 - [SHUTDOWN]: Killing clients
15:23:14 - [SHUTDOWN]: Closing console and terminating
15:23:14 - [SCENE]: Closing down the single simulator: Continente
15:23:14 - [GRID SERVICE]: Deregistering region Continente (a5aa49f8-18ce-45dd-9
60a-34bd53bf6266) at 1000-1000
15:23:15 - [CLIENT]: Close has been called for Luisillo Contepomi attached to sc
ene Continente
15:23:15 - [JobEngine]: Stopping AsyncInUDP-283cb4c4-2084-43d2-9547-0bd02675b5cc

15:23:15 - [SCENE]: Removing root agent Luisillo Contepomi 283cb4c4-2084-43d2-95
47-0bd02675b5cc from Continente
15:23:15 - [CAPS]: Remove caps for agent 283cb4c4-2084-43d2-9547-0bd02675b5cc in
 region Continente
15:23:15 - POLLED FOR EQ MESSAGES BY 283cb4c4-2084-43d2-9547-0bd02675b5cc in Con
tinente
15:23:16 - [Scene]: The avatar has left the building
15:23:16 - [SCENE]: TriggerSceneShuttingDown
15:23:16 - [EVENT MANAGER]: TriggerSceneShuttingDown done
15:23:16 - [SCENE]: Persisting changed objects
15:24:12 - [SCENE]: Closing scene
15:24:12 - [SHUTDOWN]: Shutting down region Continente
15:24:12 - [DATASNAPSHOT]: Region Continente is being removed, removing from ind
exing
15:24:12 - [WATCHDOG]: Removing thread MapItemRequestThread (Continente), ID 21
15:24:12 - [GetAssetsModule]: Closing
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker0, ID 30
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker1, ID 31
15:24:12 - [WATCHDOG]: Removing thread GetAssetWorker2, ID 32
15:24:12 - [WebFetchInvDescModule]: Closing
15:24:12 - [WATCHDOG]: Removing thread InventoryWorkerThread0, ID 33
15:24:12 - [WATCHDOG]: Removing thread InventoryWorkerThread1, ID 34
15:24:12 - [LLUDPSERVER]: Shutting down the LLUDP server for Continente
15:24:12 - [UDPBASE]: Stopping outbound UDP loop
15:24:12 - [UDPBASE]: Stopping inbound UDP loop
15:24:12 - [JobEngine]: Stopping Outgoing Queue Refill Engine (Continente)
15:24:12 - [WATCHDOG]: Removing thread Incoming Packets (Continente), ID 36
15:24:12 - [WATCHDOG]: Removing thread Outgoing Packets (Continente), ID 37
15:24:12 - [WATCHDOG]: Removing thread MapBlockSendThread (Continente), ID 22


Stop in Removing thread MapBlockSendThread ID 22
(0033730)
Luisillo_Contepomi (reporter)
2019-01-07 09:37

After frozen I test kick avatar and try login again

18:12:25 - [WATCHDOG]: Timeout detected for thread "Heartbeat-(Continente)". ThreadState=Running. Last tick was 20077ms ago.

Region (Continente) # kick user luisillo contepomi
Kicking user: Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc in region: Continente
18:17:31 - [CLIENT]: Close has been called for Luisillo Contepomi attached to scene Continente
18:17:32 - [JobEngine]: Stopping AsyncInUDP-283cb4c4-2084-43d2-9547-0bd02675b5cc
18:17:32 - [SCENE]: Removing root agent Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc from Continente
18:17:32 - [CAPS]: Remove caps for agent 283cb4c4-2084-43d2-9547-0bd02675b5cc in region Continente
18:17:32 - [ATTACHMENTS MODULE]: Updating asset for attachment 5f0761c0-0cf1-43fd-8ce0-bb6d1b161bc8, attachpoint 10
18:17:32 - [ATTACHMENTS MODULE]: Updating asset for attachment eabd3415-00d6-4c7b-aad3-742773421a7d, attachpoint 36
18:17:33 - [Scene]: The avatar has left the building

18:18:58 - [AGENT HANDLER]: QueryAccess returned True (). Version=0, 0.6/0.6
18:18:58 - [SCENE]: Region Continente told of incoming root agent Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc (circuit code 272993351, IP 192.168.1.9, viewer Firestorm-Release 5.1.7.55786, teleportflags (ViaLogin),

position <720.9214, 626.6677, 32.92588>.
18:18:58 - [SCENE]: Region Continente authenticated and authorized incoming root agent Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc (circuit code 272993351)
18:18:58 - [CreateCaps]: new caps agent 283cb4c4-2084-43d2-9547-0bd02675b5cc, circuit 272993351, path 6372ed37-7044-4031-a4de-870b42e6f463, time 0
18:19:01 - [CAPS]: Received SEED caps request in Continente for agent 283cb4c4-2084-43d2-9547-0bd02675b5cc
18:19:01 - [SCENE]: Incoming client Luisillo Contepomi in region Continente viaregular login. Client IP verification not performed.
18:19:02 - [LLUDPSERVER]: Handling UseCircuitCode request for circuit 272993351to Continente from IP 192.168.1.9:63309
18:19:02 - [SCENE]: Adding new child scene presence Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc to scene Continente at pos <720.9214, 626.6677, 32.92588>, tpflags: ViaLogin
18:19:03 - [LLUDPSERVER]: Client created, processing pending queue, 2 entries
18:19:03 - [LLClientView]: HandleCompleteAgentMovement
18:19:03 - [SCENE PRESENCE]: Completing movement of Luisillo Contepomi into region Continente in position <720.9214, 626.6677, 32.92588>
18:19:03 - [CompleteMovement]: Missing COF for 283cb4c4-2084-43d2-9547-0bd02675b5cc is 1f315e33-77b2-4bd6-bda3-9d6b72a9d026
18:19:03 - [XBakes]: read 5 textures for user 283cb4c4-2084-43d2-9547-0bd02675b5cc
18:19:03 - [ValidateBakedCache]: got bakedModule 5 cached textures
18:19:05 - [AgentPrefs]: UpdateAgentPreferences for 283cb4c4-2084-43d2-9547-0bd02675b5cc

No errors alerts or notices.
I login again in the same position but avatar is a cloud and the region is empty .. all is a big ocean and avatar can not move or teleport to any location.


I try stop process with quit in console.

Region (Continente) # quit
18:24:44 - [SHUTDOWN]: Closing all threads
18:24:44 - [SHUTDOWN]: Killing listener thread
18:24:44 - [SHUTDOWN]: Killing clients
18:24:44 - [SHUTDOWN]: Closing console and terminating
18:24:44 - [SCENE]: Closing down the single simulator: Continente
18:24:44 - [GRID SERVICE]: Deregistering region Continente (a5aa49f8-18ce-45dd-960a-34bd53bf6266) at 1000-1000
18:24:45 - [CLIENT]: Close has been called for Luisillo Contepomi attached to scene Continente
18:24:45 - [JobEngine]: Stopping AsyncInUDP-283cb4c4-2084-43d2-9547-0bd02675b5cc
18:24:45 - [SCENE]: Removing root agent Luisillo Contepomi 283cb4c4-2084-43d2-9547-0bd02675b5cc from Continente
18:24:45 - [CAPS]: Remove caps for agent 283cb4c4-2084-43d2-9547-0bd02675b5cc in region Continente

never end...
18.37 I kill process
(0033731)
BillBlight (developer)
2019-01-07 09:44

Just to help Ubit know where to look, this does seem not occur on Linux on mono, at least have not seen it for a very very long time.
(0033732)
BillBlight (developer)
2019-01-07 09:45

Have you tried typing shutdown instead of quit, worth a try ..
(0033733)
Luisillo_Contepomi (reporter)
2019-01-08 06:07

"quit" "q" and "shutdown" do the same.
(0033734)
Luisillo_Contepomi (reporter)
2019-01-08 14:19

Today all day without problems. I can not reproduce it.
(0033735)
UbitUmarov (administrator)
2019-01-08 14:20

random issues... so so funny :(
(0033741)
Luisillo_Contepomi (reporter)
2019-01-09 07:05

I overload with scripts and objects search and with npcs the region and now is NOT this issue in 0.9.1.0 Snail Dev 7d9d862

- Issue History
Date Modified Username Field Change
2019-01-07 04:02 Luisillo_Contepomi New Issue
2019-01-07 04:56 UbitUmarov Note Added: 0033727
2019-01-07 07:57 Luisillo_Contepomi Note Added: 0033728
2019-01-07 07:57 Luisillo_Contepomi Additional Information Updated View Revisions
2019-01-07 09:37 Luisillo_Contepomi Note Added: 0033730
2019-01-07 09:44 BillBlight Note Added: 0033731
2019-01-07 09:45 BillBlight Note Added: 0033732
2019-01-08 06:07 Luisillo_Contepomi Note Added: 0033733
2019-01-08 14:19 Luisillo_Contepomi Note Added: 0033734
2019-01-08 14:20 UbitUmarov Note Added: 0033735
2019-01-09 07:05 Luisillo_Contepomi Note Added: 0033741
2019-01-09 07:05 Luisillo_Contepomi Status new => resolved
2019-01-09 07:05 Luisillo_Contepomi Fixed in Version => master (dev code)
2019-01-09 07:05 Luisillo_Contepomi Resolution open => unable to reproduce
2019-01-09 07:05 Luisillo_Contepomi Assigned To => Luisillo_Contepomi


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker